be.cin.mycarenet._1_0.carenet.types

## Class MedAdminResponseList

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.MedAdminResponseList

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:05:45+02:00",
                 comments="JAXB RI v2.3.7")
      public class MedAdminResponseList
      extends Object
      implements Serializable

  Java class for MedAdminResponseListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MedAdminResponseListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareResponse"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareUpdate"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SinglePalliativeCareResponse"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleSpecificTechnicalCareResponse"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedAdminResponseList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Serializable>` | `getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses()` Gets the value of the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedAdminResponseList

          public MedAdminResponseList()

  - ### Method Detail

    - #### getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses

          public List<Serializable> getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses()

      Gets the value of the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the singleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses property.

      For example, to add a new item, do as follows:

              getSingleNurseContractualCareResponsesAndSingleNurseContractualCareUpdatesAndSinglePalliativeCareResponses().add(newItem);

      Objects of the following type(s) are allowed in the list `SingleNurseContractualCareResponse` `SingleNurseContractualCareUpdate` `SinglePalliativeCareResponse` `SingleSpecificTechnicalCareResponse`

Connector Packaging PERSLOGOPEDIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.